# $Revision: 1.141.2.2 $, $Date: 2006/11/25 16:57:43 $
# TODO
# - doesn't -webadmin need webserver integration?
# - use rc-scripts in %%post scriptlets
# - unpackaged files:
#   /usr/sbin/aliaslookup
#   /usr/share/man/man8/aliaslookup.8.gz
#
# Conditional build:
%bcond_without	fam		# with fam support
%bcond_with	tests		# without tests
#
Summary:	Courier mail server
Summary(pl):	Serwer poczty Courier
Name:		courier
Version:	0.53.3
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	e75013df7deebd463656b81cc3e245f4
Patch0:		%{name}-openssl-path.patch
Patch1:		%{name}-withoutfam.patch
Patch2:		%{name}-maildir.patch
Patch3:		%{name}-sendmail_dir.patch
Patch4:		%{name}-start_scripts.patch
Patch5:		%{name}-certs.patch
Patch6:		%{name}-db.patch
URL:		http://www.courier-mta.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	courier-authlib-devel >= 0.57
BuildRequires:	expect
%{?with_fam:BuildRequires:	fam-devel}
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mailcap
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	openssl-tools-perl >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pcre-devel
BuildRequires:	perl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	sysconftool
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
# only for light upgrade from old version < 0.47
# remove it after some time
Requires(post):	courier-authlib-userdb
Requires(post):	openssl-tools >= 0.9.7d
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
Provides:	smtpdaemon
Obsoletes:	courier-smtpauth
Obsoletes:	exim
Obsoletes:	masqmail
Obsoletes:	nullmailer
Obsoletes:	omta
Obsoletes:	postfix
Obsoletes:	qmail
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	smtpdaemon
Obsoletes:	ssmtp
Obsoletes:	zmailer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_prefix}/share/courier
%define		_libdir		%{_prefix}/%{_lib}/%{name}
%define		_libexecdir	%{_libdir}
%define		_localstatedir	/var/spool/courier
%define		_sysconfdir	/etc/courier
%define		_certsdir	%{_sysconfdir}/certs
%define		_initrddir	/etc/rc.d/init.d

%define		_webapps	/etc/webapps
%define		_cgibindir	%{_prefix}/lib/cgi-bin
%define		_imagedir	%{_datadir}/sqwebmail/images
%define		_imageurl	/webmail

%description
Courier is a fully functional mail server, that can completely take
over the mail services normally provided by sendmail, Qmail, or any
other mail server. Although Courier does not support all legacy
features of existing mail servers, the number of obsoleted functions
is very small, and there are better, and more robust, alternatives
available.

Courier implements many SMTP extensions: DSN, PIPELINING, 8BITMIME.
Courier also implements several new SMTP extensions for mailing list
management and spam filtering.

%description -l pl
Courier jest w peni funkcjonalnym serwerem poczty, moe cakowicie
zastpi usugi pocztowe dawane przez sendmail, Qmaila i inne serwery.
Wprawdzie Courier nie ma wszystkich moliwoci istniejcych serwerw,
ilo nie obsugiwanych funkcji jest bardzo maa, i s dostpne lepsze
alternatywy.

Courier zawiera wiele rozszerze SMTP: DSN, PIPELINING, 8BITMIME. Ma
take nowe rozszerzenia SMTP dla pocztowych list dyskusyjnych i
filtrowania spamu.

%package pop3d
Summary:	Courier Integrated POP3 server
Summary(pl):	Zintegrowany serwer POP3 do Couriera
Group:		Networking/Daemons
Requires(post):	openssl-tools >= 0.9.7d
Requires:	%{name} = %{version}-%{release}

%description pop3d
This package installs Courier mail server's integrated POP3 server,
which allows you to download mail from your mailbox using any POP3
client. Courier's POP3 server can only be used to download mail from
maildir mailboxes. This server does not support mailbox files. If you
do not need the ability to download your mail using a POP3 client, you
do not need to install this package.

%description pop3d -l pl
Ten pakiet zawiera zintegrowany serwer POP3 do Couriera, pozwalajcy
na ciganie poczty ze skrzynki przy pomocy dowolnego klienta POP3.
Serwer POP3 Couriera moe by uywany tylko ze skrzynkami Maildir, nie
obsuguje skrzynek w postaci pojedynczych plikw.

%package imapd
Summary:	Courier Integrated IMAP server
Summary(pl):	Zintegrowany serwer IMAP do Couriera
Group:		Networking/Daemons
Requires(post):	openssl-tools >= 0.9.7d
Requires:	%{name} = %{version}-%{release}
Obsoletes:	courier-imap
Obsoletes:	courier-imap-common

%description imapd
This package installs Courier mail server's integrated IMAP server. If
you do not need the ability to download your mail using an IMAP mail
client, you do not need to install this package. Courier's IMAP server
can only be used to download mail from maildir mailboxes. This server
does not support mailbox files.

This package requires that Courier must be already installed, this is
NOT the standalone version of the Courier-IMAP server, and you cannot
install both this package, and the standalone version of Courier-IMAP.
If you have the standalone version of the Courier-IMAP server already
installed, installing this package will automatically remove the
standalone version.

%description imapd -l pl
Ten pakiet zawiera zintegrowany serwer IMAP do Couriera. Pozwala
ciga poczt przy pomocy klienta IMAP. Serwer IMAP Couriera moe by
uywany tylko ze skrzynkami Maildir, nie obsuguje skrzynek w postaci
pojedynczych plikw.

Ten pakiet wymaga serwera Courier, to NIE jest samodzielna wersja
serwera Courier-IMAP. Nie mona te instalowa jednoczenie tego
pakietu i samodzielnej wersji Courier-IMAP. Zainstalowanie tego
pakietu automatycznie odinstaluje Courier-IMAP jeli by zinstalowany.

%package webadmin
Summary:	Courier Integrated HTTP administraton panel
Summary(pl):	Panel administracyjny przez HTTP dla Couriera
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	filesystem >= 2.0-1
Requires:	webapps
Requires:	webserver = apache
Conflicts:	apache-base < 2.2.0-8
Conflicts:	apache1 < 1.3.34-5.11

%description webadmin
This is a web-based administration tool. Webadmin is a web CGI
application.

%description webadmin -l pl
Webadmin jest narzdziem administracyjnym obsugiwanym przez WWW.

%package webmail
Summary:	Courier Integrated HTTP (webmail) server
Summary(pl):	Zintegrowany serwer poczty przez HTTP (webmail) do Couriera
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	filesystem >= 2.0-1
Requires:	webapps
Requires:	webserver = apache
Conflicts:	apache-base < 2.2.0-8
Conflicts:	apache1 < 1.3.34-5.11

%description webmail
This package installs Courier mail server's integrated HTTP webmail
server. If you do not need the ability to access your mail using a web
browser, you do not need to install this package. Courier's webmail
server can only be used to download mail from maildir mailboxes. This
server does not support mailbox files.

This is the same server that's distributed separately under the name
of SqWebMail, however its configuration is customized for the Courier
mail server.

%description webmail -l pl
Ten pakiet zawiera zintegrowany serwer poczty przez HTTP (webmail) dla
Couriera, pozwalajcy na dostp do poczty za pomoc przegldarki WWW.
Serwer webmail Couriera moe by uywany tylko ze skrzynkami Maildir,
nie obsuguje skrzynek w postaci pojedynczych plikw.

Jest to ten sam serwer, co dystrybuowany oddzielnie pod nazw
SqWebMail, ale jego konfiguracja jest dostosowana do serwera Courier.

%package maildir-tools
Summary:	Tools for mail folders in Maildir format
Summary(pl):	Narzdzia do zarzdzania skrzynkami Maildir
Group:		Applications/Mail
Requires:	%{name} = %{version}-%{release}

%description maildir-tools
This package contains tools for mail folders in Maildir format.

%description maildir-tools -l pl
Ten pakiet zawiera narzdzia do zarzdzania folderami w formacie
Maildir.

%package mlm
Summary:	Courier Integrated Mailing List Manager
Summary(pl):	Zintegrowany zarzdca list dyskusyjnych do Couriera
Group:		Applications/Mail
Requires:	%{name} = %{version}-%{release}

%description mlm
This package installs couriermlm - a mailing list manager for the
Courier mail server. If you do not need the ability to manage mailing
lists, you do not need to install this package.

couriermlm is used to set up, maintain, and run a mailing list.
couriermlm automatically processes subscription and unsubscription
requests, and removes undeliverable addresses from the subscription
rolls. Mailing lists managed by couriermlm require zero human
administrative oversight. couriermlm supports digests, write-only
posting aliases, and moderated mailing lists.

%description mlm -l pl
Ten pakiet zawiera couriermlm - program do zarzdzania listami
dyskusyjnymi dla Couriera. couriermlm jest uywany do konfigurowania,
zarzdzania i prowadzenia pocztowej listy dyskusyjnej. Automatycznie
obsuguje dania zapisywania i wypisywania oraz usuwa z listy
niedziaajce adresy subskrybentw. Listy obsugiwane przez couriermlm
nie wymagaj pracy administratora. couriermlm obsuguje digesty,
aliasy pocztowe tylko do wysyania i listy moderowane.

%package maildrop
Summary:	Courier Integrated mail filter
Summary(pl):	Zintegrowany filtr poczty do Couriera
Group:		Applications/Mail
Requires:	%{name} = %{version}-%{release}

%description maildrop
This package installs Courier mail server's integrated mail filter.
You need to install this package if you want to be able to filter your
incoming mail.

%description maildrop -l pl
Ten pakiet zawiera zintegrowany filtr poczty dla Couriera. Jest
potrzebny do filtrowania przychodzcej poczty.

%prep
%setup -q
%patch0 -p1
%{!?with_fam:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

echo "
Alias /webmail %{_imagedir}
<Directory %{_imagedir}>
	AllowOverride None
	Options None
	# FIXME: is allow from all the most safest way?
	Allow from all
</Directory>
" > apache.conf

# we don't want fax module
rm -rf courier/module.fax

%build
cp -f /usr/share/automake/config.sub webmail

# Change Makefile.am files and force recreate Makefile.in's.
OLDDIR=`pwd`
find -type f -a \( -name configure.in -o -name configure.ac \) | while read FILE; do
	cd "`dirname "$FILE"`"

	if [ -f Makefile.am ]; then
		sed -i -e '/_[L]DFLAGS=-static/d' Makefile.am
	fi

	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	if grep -q AM_CONFIG_HEADER configure.in; then
		%{__autoheader}
	fi
	%{__automake}

	cd "$OLDDIR"
done

%configure \
	--localstatedir=%{_localstatedir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--enable-imagedir=%{_imagedir} \
	--enable-imageurl=%{_imageurl} \
	--with-certsdir=%{_certsdir} \
	--with-db=db \
	--with-mailer=%{_sbindir}/sendmail \
	--with-mailuser=daemon \
	--with-mailgroup=daemon \
	--with-mailuid=2 \
	--with-mailgid=2

%{__make}
%{!?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
umask 022
install -d -p $RPM_BUILD_ROOT{/etc/{cron.hourly,pam.d},%{_initrddir}} \
	$RPM_BUILD_ROOT{%{_prefix}/lib,%{_cgibindir},%{_webapps}/courier-webmail,%{_sysconfdir}/hosteddomains} \
	$RPM_BUILD_ROOT{/etc/cron.hourly,%{_certsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# fix pam problem
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/*.authpam
for X in imap esmtp pop3 webmail calendar
do
	cat > $RPM_BUILD_ROOT/etc/pam.d/$X <<'EOF'
#%PAM-1.0
auth	required	pam_unix.so shadow nullok
account	required	pam_unix.so
session	required	pam_unix.so
EOF
done

# delete dead links
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/dotforward.1 \
$RPM_BUILD_ROOT%{_mandir}/man1/rmail.1 \
$RPM_BUILD_ROOT%{_mandir}/man8/esmtpd-msa.8 \
$RPM_BUILD_ROOT%{_mandir}/man8/makesmtpaccess-msa.8 \
$RPM_BUILD_ROOT%{_mandir}/man8/filterctl.8 \
$RPM_BUILD_ROOT%{_mandir}/man8/makeuucpneighbors.8 \
$RPM_BUILD_ROOT%{_mandir}/man8/courierpop3login.8

# make man links
echo '.so dot-forward.1' > $RPM_BUILD_ROOT%{_mandir}/man1/dotforward.1
echo '.so sendmail.1' > $RPM_BUILD_ROOT%{_mandir}/man1/rmail.1
echo '.so esmtpd.8' > $RPM_BUILD_ROOT%{_mandir}/man8/esmtpd-msa.8
echo '.so courierfilter.8' > $RPM_BUILD_ROOT%{_mandir}/man8/filterctl.8
echo '.so makesmtpaccess.8' > $RPM_BUILD_ROOT%{_mandir}/man8/makesmtpaccess-msa.8
echo '.so courieruucp.8' > $RPM_BUILD_ROOT%{_mandir}/man8/makeuucpneighbors.8
echo '.so courierpop3d.8' > $RPM_BUILD_ROOT%{_mandir}/man8/courierpop3login.8

%{__make} install-perms

# Move webmail and webadmin to cgibindir
mv -f $RPM_BUILD_ROOT%{_libdir}/courier/webmail/webmail \
	$RPM_BUILD_ROOT%{_cgibindir}/webmail
mv -f $RPM_BUILD_ROOT%{_libdir}/courier/webmail/webadmin \
	$RPM_BUILD_ROOT%{_cgibindir}/webadmin

# install a cron job to clean out webmail's cache
install webmail/cron.cmd $RPM_BUILD_ROOT/etc/cron.hourly/courier-webmail-cleancache

# Move .html documentation back to build dir, so that RPM will move it to
# the appropriate docdir

rm -rf htmldoc
mkdir htmldoc
mv -f $RPM_BUILD_ROOT%{_datadir}/htmldoc/* htmldoc
chmod a-w htmldoc/*

# Manually set POP3DSTART and IMAPDSTART to yes, they'll go into a separate
# package, so after it's installed they should be runnable.

sed -i 's/^POP3DSTART.*/POP3DSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/pop3d.dist
sed -i 's/^POP3DSSLSTART.*/POP3DSSLSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/pop3d-ssl.dist
sed -i 's/^IMAPDSTART.*/IMAPDSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/imapd.dist
sed -i 's/^IMAPDSSLSTART.*/IMAPDSSLSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/imapd-ssl.dist

# Want to have esmtpd running by default
sed -i 's/^ESMTPDSTART.*/ESMTPDSTART=YES/' $RPM_BUILD_ROOT%{_sysconfdir}/esmtpd.dist

# run script from install-configure (make config files)
for confdist in `awk ' $5 == "config" && $1 ~ /\.dist$/ { print $1 }' <permissions.dat`
do %{__perl} ././sysconftool $RPM_BUILD_ROOT$confdist
done

# make locals, esmtpacceptmailfor.dir/default
touch $RPM_BUILD_ROOT%{_sysconfdir}/esmtpacceptmailfor.dir/default
touch $RPM_BUILD_ROOT%{_sysconfdir}/locals

# file with important options
cat > $RPM_BUILD_ROOT%{_sysconfdir}/bofh <<EOF
# enable this option if you want to pass bad converted mails
# opt BOFHBADMIME=accept
EOF

# Make password and unsecureok (files for webadmin)
touch $RPM_BUILD_ROOT%{_sysconfdir}/webadmin/password
touch $RPM_BUILD_ROOT%{_sysconfdir}/webadmin/unsecureok

# create file me to put localdomain
touch $RPM_BUILD_ROOT%{_sysconfdir}/me

# create calendarmode
touch $RPM_BUILD_ROOT%{_sysconfdir}/calendarmode

install courier.sysvinit $RPM_BUILD_ROOT%{_initrddir}/courier

# sendmail soft links
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_prefix}/lib/sendmail

# fix rmail link
rm -f $RPM_BUILD_ROOT%{_bindir}/rmail
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/rmail

# This link by default is missing
ln -sf %{_datadir}/esmtpd-ssl $RPM_BUILD_ROOT%{_sbindir}/esmtpd-ssl

# for apache
install apache.conf $RPM_BUILD_ROOT%{_webapps}/courier-webmail/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_webapps}/courier-webmail/httpd.conf

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/*.dist
rm -rf $RPM_BUILD_ROOT%{_datadir}/faxmail
rm -f $RPM_BUILD_ROOT%{_datadir}/courierwebadmin/*fax*

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- courier < 0.45.5
echo
echo Directory with certificates has changed to %{_certsdir}
echo

%post
if [ "$1" = "1" ]; then
	[ -s %{_sysconfdir}/me ] || /bin/hostname -f > %{_sysconfdir}/me
	%banner -e %{name} <<'EOF'

Now courier will refuse to accept SMTP messages except to localhost
add hosts to %{_sysconfdir}/esmtpacceptmailfor.dir/default
run makeacceptmailfor

Add hosts to %{_sysconfdir}/locals you want to accept mail for
run makealiases

Enter user, who should receive mail for root, mailer-daemon and postmaster
into %{_sysconfdir}/aliases/system

Default maildir is in ~/Mail/Maildir

EOF
fi

/sbin/chkconfig --add courier
%service courier restart

%preun
if [ "$1" = "0" ]; then
	%service courier stop
	/sbin/chkconfig --del courier
fi

%post imapd
# TODO: use rc-scripts here
if [ -e %{_localstatedir}/tmp/imapd.pid ]; then
	%{_sbindir}/imapd stop
	%{_sbindir}/imapd start
else
	echo
	echo 'Type "%{_sbindir}/imapd start" to start imapd server'
	echo
fi
if [ -e %{_localstatedir}/tmp/imapd-ssl.pid ]; then
	%{_sbindir}/imapd-ssl stop
	%{_sbindir}/imapd-ssl start
else
	echo
	echo Type "%{_sbindir}/imapd-ssl start" to start imapd-ssl server
	echo
fi

%preun imapd
if [ "$1" = "0" ]; then
	if [ -e %{_localstatedir}/tmp/imapd.pid ]; then
		%{_sbindir}/imapd stop
	fi
	if [ -e %{_localstatedir}/tmp/imapd-ssl.pid ]; then
		%{_sbindir}/imapd-ssl stop
	fi
fi

%post pop3d
if [ -e %{_localstatedir}/tmp/pop3d.pid ]; then
	%{_sbindir}/pop3d stop
	%{_sbindir}/pop3d start
else
	echo
	echo 'Type "%{_sbindir}/pop3d start" to start pop3d server'
	echo
fi
if [ -e %{_localstatedir}/tmp/pop3d-ssl.pid ]; then
	%{_sbindir}/pop3d-ssl stop
	%{_sbindir}/pop3d-ssl start
else
	echo
	echo 'Type "%{_sbindir}/pop3d-ssl start" to start pop3d-ssl server'
	echo
fi

%preun pop3d
if [ "$1" = "0" ]; then
	if [ -e %{_localstatedir}/tmp/pop3d.pid ]; then
		%{_sbindir}/pop3d stop
	fi
	if [ -e %{_localstatedir}/tmp/pop3d-ssl.pid ]; then
		%{_sbindir}/pop3d-ssl stop
	fi
fi

%post webadmin
if [ "$1" = "1" ]; then
	echo
	echo Remember to put your webadmin password to %{_sysconfdir}/webadmin/password
	echo
fi

%post webmail
if [ "$1" = "1" ]; then
	echo
	echo If you want to have calendar starting by default then
	echo put word net to %{_sysconfdir}/calendarmode
	echo
fi
if [ -e %{_localstatedir}/tmp/sqwebmaild.pid ]; then
	%{_sbindir}/webmaild stop
	%{_sbindir}/webmaild start
else
	echo
	echo 'Type "%{_sbindir}/webmaild start" to start webmail server'
	echo
fi

%preun webmail
if [ "$1" = "0" ]; then
	if [ -e %{_localstatedir}/tmp/sqwebmaild.pid ]; then
		%{_sbindir}/webmaild stop
	fi
fi

%triggerin webmail -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache courier-webmail

%triggerun webmail -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache courier-webmail

%triggerin webmail -- apache < 2.2.0, apache-base
%webapp_register httpd courier-webmail

%triggerun webmail -- apache < 2.2.0, apache-base
%webapp_unregister httpd courier-webmail

%triggerpostun webmail -- courier-webmail < 0.52.2-0.2
# migrate from apache-config macros
if [ -f /etc/courier/apache-courier.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_webapps}/courier-webmail/apache.conf{,.rpmnew}
		cp -f /etc/courier/apache-courier.conf.rpmsave %{_webapps}/courier-webmail/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_webapps}/courier-webmail/httpd.conf{,.rpmnew}
		cp -f /etc/courier/apache-courier.conf.rpmsave %{_webapps}/courier-webmail/httpd.conf
	fi
	rm -f /etc/courier/apache-courier.conf.rpmsave
fi

# migrating apache-config symlinks
if [ -L /etc/apache/conf.d/99_courier.conf ]; then
	rm -f /etc/apache/conf.d/99_courier.conf
	/usr/sbin/webapp register apache courier-webmail
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_courier.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_courier.conf
	/usr/sbin/webapp register httpd courier-webmail
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BENCHMARKS ChangeLog INSTALL NEWS README TODO htmldoc/[adehqstu]*
%doc htmldoc/courierperl* htmldoc/courier.html htmldoc/courier[fltu]*
%doc htmldoc/local* htmldoc/mailbot* htmldoc/mailq* htmldoc/make*
%doc htmldoc/mime* htmldoc/mkesmtpd* htmldoc/modules* htmldoc/preline*
%{_mandir}/man1/sendmail.1*
%{_mandir}/man1/preline.1*
%{_mandir}/man1/cancelmsg.1*
%{_mandir}/man1/lockmail.1*
%{_mandir}/man1/mailbot.1*
%{_mandir}/man1/makemime.1*
%{_mandir}/man1/mimegpg.1*
%{_mandir}/man1/makedat.1*
%{_mandir}/man1/testmxlookup.1*
%{_mandir}/man1/dot-forward.1*
%{_mandir}/man1/couriertls.1*
%{_mandir}/man1/mailq*
%{_mandir}/man1/couriertcpd*
%{_mandir}/man1/dotforward.1*
%{_mandir}/man1/rmail.1*
%{_mandir}/man5/dot-courier.5*
%{_mandir}/man7/localmailfilter.7*
%{_mandir}/man8/courierfilter.8*
%{_mandir}/man8/courierperlfilter.8*
%{_mandir}/man8/dupfilter.8*
%{_mandir}/man8/courier.8*
%{_mandir}/man8/courierldapaliasd.8*
%{_mandir}/man8/deliverquota.8*
%{_mandir}/man8/esmtpd.8*
%{_mandir}/man8/makeacceptmailfor.8*
%{_mandir}/man8/makehosteddomains.8*
%{_mandir}/man8/mkesmtpdcert.8*
%{_mandir}/man8/makealiases.8*
%{_mandir}/man8/makepercentrelay.8*
%{_mandir}/man8/makesmtpaccess.8*
%{_mandir}/man8/submit.8*
%{_mandir}/man8/courieruucp.8*
%{_mandir}/man8/esmtpd-msa.8*
%{_mandir}/man8/filterctl.8*
%{_mandir}/man8/makesmtpaccess-msa.8*
%{_mandir}/man8/makeuucpneighbors.8*
%attr(755,daemon,daemon) %dir %{_sysconfdir}
%attr(750,daemon,daemon) %dir %{_certsdir}
%attr(755,daemon,daemon) %dir %{_sysconfdir}/hosteddomains
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/me
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ldapaddressbook
%attr(755,daemon,daemon) %dir %{_sysconfdir}/aliasdir
%attr(750,daemon,daemon) %dir %{_sysconfdir}/aliases
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/enablefiltering
%attr(755,daemon,daemon) %dir %{_sysconfdir}/smtpaccess
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smtpaccess/default
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpacceptmailfor.dir/default
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bofh
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/locals
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/courierd
%attr(640,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/aliases/system
%{_sysconfdir}/quotawarnmsg.example
%dir %{_libdir}
%dir %{_libdir}/courier
%dir %{_datadir}
%{_datadir}/rootcerts
%attr(755,root,root) %dir %{_datadir}/courierwebadmin
%{_datadir}/courierwebadmin/admin-15*
%dir %{_libdir}/filters
%attr(755,daemon,daemon) %{_libdir}/filters/*
%attr(755,daemon,daemon) %{_datadir}/perlfilter-*.pl
%attr(755,bin,bin) %dir %{_localstatedir}
%attr(770,daemon,daemon) %dir %{_localstatedir}/tmp
%attr(750,daemon,daemon) %dir %{_localstatedir}/msgs
%attr(750,daemon,daemon) %dir %{_localstatedir}/msgq
%attr(750,daemon,daemon) %dir %{_localstatedir}/filters
%attr(750,daemon,daemon) %dir %{_localstatedir}/allfilters
%attr(750,daemon,daemon) %dir %{_sysconfdir}/filters
%attr(750,daemon,daemon) %dir %{_sysconfdir}/filters/active
%attr(754,root,daemon) %{_datadir}/filterctl
%attr(754,root,daemon) %{_sbindir}/filterctl
%attr(754,root,daemon) %{_sbindir}/courierfilter
%dir %{_libdir}/courier/modules
%dir %{_libdir}/courier/modules/uucp
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/module.uucp
%attr(755,root,root) %{_libdir}/courier/modules/uucp/courieruucp
%attr(755,root,root) %{_sbindir}/makeuucpneighbors
%attr(755,root,root) %{_datadir}/makeuucpneighbors
%dir %{_libdir}/courier/modules/local
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/module.local
%attr(755,root,root) %{_libdir}/courier/modules/local/courierlocal
%attr(755,root,root) %{_libdir}/courier/modules/local/courierdeliver
%attr(755,root,root) %{_bindir}/preline
%dir %{_libdir}/courier/modules/esmtp
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/module.esmtp
%attr(750,root,daemon) %{_libdir}/courier/modules/esmtp/courieresmtp
%attr(750,root,daemon) %{_libdir}/courier/modules/esmtp/courieresmtpd
%attr(755,root,root) %{_libdir}/courier/modules/esmtp/addcr
%attr(755,root,root) %{_sbindir}/courieresmtpd
%attr(755,root,root) %{_bindir}/addcr
%attr(755,root,root) %{_sbindir}/esmtpd
%attr(755,root,root) %{_datadir}/esmtpd
%attr(755,root,root) %{_sbindir}/esmtpd-ssl
%attr(755,root,root) %{_datadir}/esmtpd-ssl
%attr(755,root,root) %{_sbindir}/makesmtpaccess
%attr(755,root,root) %{_datadir}/makesmtpaccess
%attr(755,root,root) %{_sbindir}/makeacceptmailfor
%attr(755,root,root) %{_datadir}/makeacceptmailfor
%attr(755,root,root) %{_sbindir}/makepercentrelay
%attr(755,root,root) %{_datadir}/makepercentrelay
%attr(755,root,root) %{_sbindir}/mkesmtpdcert
%attr(755,root,root) %{_datadir}/mkesmtpdcert
%attr(755,root,root) %{_sbindir}/esmtpd-msa
%attr(755,root,root) %{_sbindir}/makesmtpaccess-msa
%attr(755,root,root) %{_sbindir}/sharedindexinstall
%attr(755,root,root) %{_sbindir}/sharedindexsplit
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpd
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpd-msa
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpd-ssl
%attr(755,daemon,daemon) %dir %{_sysconfdir}/esmtpacceptmailfor.dir
%attr(755,daemon,daemon) %dir %{_sysconfdir}/esmtppercentrelay.dir
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpd.cnf
%attr(600,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esmtpauthclient
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsndelayed.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsndelivered.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnfailed.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnrelayed.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnfooter.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnsubjectnotice.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnsubjectwarn.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dsnheader.txt
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/module.dsn
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rfcerr*.txt
%dir %{_libdir}/courier/modules/dsn
%attr(755,root,root) %{_libdir}/courier/modules/dsn/courierdsn
%attr(4550,daemon,daemon) %{_libdir}/courier/submitmkdir
%attr(750,daemon,daemon) %{_libdir}/courier/courierd
%attr(750,daemon,daemon) %{_libdir}/courier/aliasexp
%attr(750,daemon,daemon) %{_libdir}/courier/aliascombine
%attr(750,daemon,daemon) %{_libdir}/courier/aliascreate
%attr(750,daemon,daemon) %{_libdir}/courier/submit
%attr(755,daemon,daemon) %{_libdir}/courier/makedatprog
%attr(6555,daemon,daemon) %{_bindir}/cancelmsg
%attr(755,root,root) %{_sbindir}/courier
%attr(755,root,root) %{_datadir}/courierctl.start
%attr(755,root,root) %{_bindir}/couriertls
%attr(755,root,root) %{_sbindir}/couriertcpd
%attr(755,root,root) %{_bindir}/courier-config
%attr(755,root,root) %{_bindir}/deliverquota
%attr(755,root,root) %{_bindir}/dotforward
%attr(755,root,root) %{_bindir}/lockmail
%attr(755,root,root) %{_bindir}/mailbot
%attr(2755,daemon,daemon) %{_bindir}/mailq
%attr(750,root,daemon) %{_datadir}/makealiases
%attr(750,root,daemon) %{_sbindir}/makealiases
%attr(755,root,root) %{_datadir}/makedat
%attr(755,root,root) %{_bindir}/makedat
%attr(755,root,root) %{_datadir}/makehosteddomains
%attr(755,root,root) %{_sbindir}/makehosteddomains
%attr(755,root,root) %{_bindir}/makemime
%attr(755,root,root) %{_bindir}/mimegpg
%attr(4755,root,root) %{_bindir}/rmail
%attr(755,root,root) %{_sbindir}/showconfig
%attr(750,root,daemon) %{_sbindir}/showmodules
%attr(4755,root,root) %{_sbindir}/sendmail
%attr(755,root,root) %{_bindir}/testmxlookup
%attr(640,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ldapaliasrc
%attr(700,daemon,daemon) %{_sbindir}/courierldapaliasd
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/esmtp
%attr(754,root,root) /etc/rc.d/init.d/courier
%attr(755,daemon,daemon) %dir %{_sysconfdir}/shared
%attr(755,daemon,daemon) %dir %{_sysconfdir}/shared.tmp
%attr(755,daemon,daemon) %dir %{_localstatedir}/track
%attr(755,root,root) %{_prefix}/lib/sendmail

%files pop3d
%defattr(644,root,root,755)
%doc htmldoc/*pop3d*
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/pop3
%{_mandir}/man8/courierpop3d.8*
%{_mandir}/man8/courierpop3login.8*
%{_mandir}/man8/mkpop3dcert.8*
%{_mandir}/man8/pop3d.8*
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-45pop3.pl
%{_datadir}/courierwebadmin/admin-45pop3.html
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d
%attr(600,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d.cnf
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pop3d-ssl
%attr(755,root,root) %{_libdir}/courier/courierpop3d
%attr(755,root,root) %{_libdir}/courier/courierpop3login
%attr(755,root,root) %{_datadir}/mkpop3dcert
%attr(755,root,root) %{_sbindir}/mkpop3dcert
%attr(755,root,root) %{_datadir}/pop3d
%attr(755,root,root) %{_sbindir}/pop3d
%attr(755,root,root) %{_datadir}/pop3d-ssl
%attr(755,root,root) %{_sbindir}/pop3d-ssl

%files imapd
%defattr(644,root,root,755)
%doc htmldoc/*imapd*
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/imap
%{_mandir}/man8/imapd.8*
%{_mandir}/man8/mkimapdcert.8*
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-40imap.pl
%{_datadir}/courierwebadmin/admin-40imap.html
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd-ssl
%attr(600,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapd.cnf
%attr(755,root,root) %{_libdir}/courier/imaplogin
%attr(755,root,root) %{_sbindir}/imapd
%attr(755,root,root) %{_sbindir}/imapd-ssl
%attr(755,root,root) %{_datadir}/imapd
%attr(755,root,root) %{_datadir}/imapd-ssl
%attr(755,root,root) %{_bindir}/imapd
%attr(755,root,root) %{_datadir}/mkimapdcert
%attr(755,root,root) %{_sbindir}/mkimapdcert

%files webadmin
%defattr(644,root,root,755)
# suid root to cgi-bin??? and it's not secured by apache config!
%attr(4755,root,root) %{_cgibindir}/webadmin
%attr(700,daemon,daemon) %dir %{_sysconfdir}/webadmin
%attr(700,daemon,daemon) %dir %{_sysconfdir}/webadmin/added
%attr(700,daemon,daemon) %dir %{_sysconfdir}/webadmin/removed
%attr(400,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/webadmin/password
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/webadmin/unsecureok
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-main.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-save.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-cancel.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-[0235]*.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-10password.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/dumpenv.pl
%attr(755,root,root) %{_datadir}/courierwebadmin/webadmin.pl
%{_datadir}/courierwebadmin/admin-[0235]*.html
%{_datadir}/courierwebadmin/admin-10password.html
%{_datadir}/courierwebadmin/admin-main.html
%{_datadir}/courierwebadmin/admin-save.html
%{_datadir}/courierwebadmin/login.html
%{_datadir}/courierwebadmin/notsupp.html
%{_datadir}/courierwebadmin/unsecure.html
%{_datadir}/courierwebadmin/webadmin.pm

%files webmail
%defattr(644,root,root,755)
%doc htmldoc/pcp* gpglib/README.html
%attr(755,root,root) %{_cgibindir}/webmail
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/webmail
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/calendar
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sqwebmaild
%attr(755,root,root) %{_sbindir}/webmaild
%dir %{_datadir}/sqwebmail
%dir %{_datadir}/sqwebmail/html
%dir %{_datadir}/sqwebmail/html/en-us
%{_datadir}/sqwebmail/html/en
%{_datadir}/sqwebmail/images
%config %{_datadir}/sqwebmail/html/en-us/[CILT]*
%{_datadir}/sqwebmail/html/en-us/*.html
%{_datadir}/sqwebmail/html/en-us/*.txt
%attr(755,root,root) %{_datadir}/courierwebadmin/admin-47webmail.pl
%{_datadir}/courierwebadmin/admin-47webmail.html
%attr(755,root,root) %{_datadir}/sqwebmail/cleancache.pl
%attr(755,root,root) %{_datadir}/sqwebmail/ldapsearch
%attr(755,root,root) %{_datadir}/sqwebmail/sendit.sh
%attr(755,root,root) %{_datadir}/sqwebmail/webgpg
%attr(755,root,root) %{_sbindir}/webgpg
%attr(755,root,root) %{_libdir}/courier/pcpd
%attr(755,root,root) %{_libdir}/courier/sqwebmaild
%attr(755,root,root) %{_libdir}/courier/sqwebpasswd
%attr(700, bin, bin) %dir %{_localstatedir}/webmail-logincache
%attr(755,root,root) /etc/cron.hourly/courier-webmail-cleancache
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/calendarmode
%attr(755,bin,daemon) %dir %{_localstatedir}/calendar
%attr(700,bin,daemon) %dir %{_localstatedir}/calendar/localcache
%attr(750,bin,daemon) %dir %{_localstatedir}/calendar/private
%attr(755,bin,daemon) %dir %{_localstatedir}/calendar/public
%dir %attr(750,root,http) %{_webapps}/courier-webmail
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/courier-webmail/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/courier-webmail/httpd.conf

%files maildrop
%defattr(644,root,root,755)
%doc htmldoc/r* htmldoc/maildrop* htmldoc/lockmail*
%{_mandir}/man1/maildrop.1*
%{_mandir}/man1/refor*
%{_mandir}/man7/maildrop*
%attr(644,daemon,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/maildrop
%attr(4755,root,root) %{_bindir}/maildrop
%attr(755,root,root) %{_bindir}/reformail
%attr(755,root,root) %{_bindir}/reformime

%files maildir-tools
%defattr(644,root,root,755)
%doc maildir/README.*.html htmldoc/maildir*
%{_mandir}/man1/maildirmake.1*
%{_mandir}/man1/maildirkw.1*
%{_mandir}/man1/maildiracl.1*
%{_mandir}/man5/maildir.5*
%{_mandir}/man7/maildirquota.7*
%attr(755,root,root) %{_bindir}/maildirmake
%attr(755,root,root) %{_bindir}/maildirkw
%attr(755,root,root) %{_bindir}/maildiracl

%files mlm
%defattr(644,root,root,755)
%doc htmldoc/couriermlm.html
%{_mandir}/man1/couriermlm.1*
%attr(755,root,root) %{_bindir}/couriermlm
%{_datadir}/couriermlm

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: courier.spec,v $
Revision 1.141.2.2  2006/11/25 16:57:43  glen
- ac 2.60 complains: autoheader: error: AC_CONFIG_HEADERS not found in configure.in
- rel 3

Revision 1.141.2.1  2006/11/25 15:57:10  glen
- AC-branch for filesystem dep; rel 2

Revision 1.141  2006/11/15 20:27:31  glen
- few unpackaged files

Revision 1.140  2006/11/15 18:42:17  qboosh
- unified sf URL

Revision 1.139  2006/11/08 00:02:43  andree
- updated to 0.53.3

Revision 1.138  2006/10/27 18:25:55  qboosh
- one more

Revision 1.137  2006/10/27 18:25:06  qboosh
- updated dep for /usr/lib/cgi-bin dir (FHS -> filesystem); release 4

Revision 1.136  2006/09/30 15:04:44  glen
- rel 3

Revision 1.135  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.134  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.133  2006/04/16 21:13:57  glen
- add missing rc-scripts dep

Revision 1.132  2006/04/16 21:12:39  glen
- adapterize

Revision 1.131  2006/04/16 21:10:22  glen
- use %service

Revision 1.130  2006/02/03 16:43:55  baggins
- release 2

Revision 1.129  2006/02/03 16:40:54  glen
- apache-base in webapp trigger

Revision 1.128  2006/01/17 14:56:39  baggins
- release 1
- BR openldap 2.3

Revision 1.127  2006/01/17 04:30:54  glen
- killed pointless macros and profile.d, leftovers from chgw

Revision 1.126  2006/01/17 04:20:59  glen
- convert to webapps
- corrected requires
- cleanups

Revision 1.125  2006/01/17 01:24:36  andree
- updated to 0.52.2
- changed cgi-gin from /home/services to /usr/lib
- rel. 0.1 need testing

Revision 1.124  2005/11/19 16:15:07  glen
- doesn't work with other webservers than apache2 due apache2 specific
  documentroot and cgi-bin dirs

Revision 1.123  2005/11/19 16:13:36  glen
- clean unused macros

Revision 1.122  2005/11/19 16:07:23  glen
- world accessible suid root in cgi-bin?!

Revision 1.121  2005/11/19 15:59:21  glen
- use apache config triggers

Revision 1.120  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.119  2005/11/03 20:10:10  glen
- hack to fool adapter

Revision 1.118  2005/10/13 08:57:28  andree
- updated to 0.52.1
- BR: {gettext,pcre,authldap}-devel
- disabled make check (bcond with)

Revision 1.117  2005/09/17 16:57:08  glen
- fix what adapter broke

Revision 1.116  2005/09/17 16:53:49  paszczus
- updated to 0.52.0 (security relase)
- removed Patch7 (included in sources)
- adapterized
- STBR

Revision 1.115  2005/09/01 15:46:54  andree
- BR: courier-authlib-devel >= 0.57

Revision 1.114  2005/08/31 22:31:58  andree
- added -webmail-sec_fix.patch - security fix for webmail

Revision 1.113  2005/08/16 23:26:33  andree
- updated to 0.51.0
- added script rm -static

Revision 1.112  2005/07/03 22:45:02  andree
- updated to 0.50.1

Revision 1.111  2005/04/09 22:50:48  andree
- rel. 1

Revision 1.110  2005/03/24 23:41:21  qboosh
- added db patch to use shared db
- adjusted automake calls not to require ltmain.sh symlinking hacks

Revision 1.109  2005/03/24 22:42:58  qboosh
- tab unified

Revision 1.108  2005/03/24 15:27:22  havner
- requires db-static, don't know if it's meant to be that way

Revision 1.107  2005/03/21 17:46:55  glen
- tabs; _initrddir macro

Revision 1.106  2005/03/05 18:30:55  andree
- merged from DEVEL

Revision 1.105  2005/02/28 21:53:19  qboosh
- s/aleron\.dl/dl/ in Source URL (aleron is no longer browsable)

Revision 1.104  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.103  2004/12/24 00:04:41  andree
- fam support enabled by default, rel.4

Revision 1.102.2.9  2005/03/05 11:41:23  glen
- quotes

Revision 1.102.2.8  2005/03/05 11:38:17  andree
- fixed apache1,2 support

Revision 1.102.2.7  2005/03/05 00:01:42  andree
- updated to 0.49.0, removed -build.patch (obsoleted)
- added post, preun section for webmail (apache1,2 support)
- %files fixes
- R(post): courier-authlib-userdb - to allow upgrade from < 0.47
  and removed obsolete trigger
- removed suid from webmail

Revision 1.102.2.6  2005/02/19 14:35:04  andree
- enable fam by default
- added trigger with information about userdb
- removed userdb dead links and unused directory
- rel. 0.2

Revision 1.102.2.5  2004/12/15 11:32:18  andree
- updated to 0.48

Revision 1.102.2.4  2004/12/15 10:46:59  andree
- %files fixes
- removed courier-smtpauth, added obsolete

Revision 1.102.2.3  2004/12/11 00:43:16  andree
- %files fixes
- added some configure options (mailuser,group,uid,gid)

Revision 1.102.2.2  2004/12/10 11:49:10  andree
- added -build.patch - build fixes (linking, configure)

Revision 1.102.2.1  2004/12/10 00:29:11  andree
- updated to 20041129
- removed auth* packages - included in courier-authlib
- needs a lot of work - added TODO

Revision 1.102  2004/11/20 17:25:37  radek
- release 3: require DynaLoader in version available at build time
  (for /usr/lib/courier/filters/perlfilter)

Revision 1.101  2004/10/06 19:13:35  andree
- rel. 2 to rebuild with updated -sendmail_dir.patch

Revision 1.100  2004/09/22 20:46:23  andree
- updated to 0.47

Revision 1.99  2004/08/30 18:07:23  snurf
- typo / formatting / etc.

Revision 1.98  2004/08/02 17:15:49  andree
- change source to aleron.dl.sourceforge.net
- remove fix_build.patch - obsoleted
- BR: sed >= 4.0 ; sed fixes
- updated to 0.46

Revision 1.97  2004/07/27 23:09:47  andree
- add bofh config file with badmime option
- perm fixes; updated %post smtpauth
- fix csh script; rel. 4

Revision 1.96  2004/07/24 19:43:14  andree
- rel. 3

Revision 1.95  2004/07/23 11:55:10  andree
- added missing files

Revision 1.94  2004/07/21 14:33:58  andree
- amd64 fix (mkdir /usr/lib for sendmail)

Revision 1.93  2004/07/21 14:06:34  averne
- rel 2

Revision 1.92  2004/07/14 07:33:25  andree
- cleanups; perm fixes; added missing dir

Revision 1.91  2004/06/15 16:34:24  andree
- updated to 0.45.6

Revision 1.90  2004/06/07 09:02:12  ankry
- formatting

Revision 1.89  2004/06/07 08:32:55  andree
- fix %post (imapd,pop3d) scripts; rel. 2

Revision 1.88  2004/05/30 22:21:16  andree
- update post,preun; fix certsdir perm; rel.1

Revision 1.87  2004/05/28 11:58:43  andree
- update post,pre for webmail, rel. 0.7

Revision 1.86  2004/05/28 10:59:00  andree
- add new files, rel. 0.6

Revision 1.85  2004/05/24 22:14:40  andree
- add courier-certs.patch (--with-certsdir option)
- move certs to %certsdir; trigger for new certs directory
- remove authmodulelist; rel 0.5

Revision 1.84  2004/05/20 16:20:13  andree
- started update to 0.45.5

Revision 1.83  2004/04/17 16:49:33  andree
- perm fixes

Revision 1.82  2004/04/17 11:05:25  andree
- add file calendarmode, put info to  %post webmail

Revision 1.81  2004/04/17 10:41:22  andree
- updated %doc, added missing dirs
- sharedindex* move back to primary package

Revision 1.80  2004/04/10 21:34:56  andree
- add patch5 - am fix

Revision 1.79  2004/04/10 20:09:29  andree
- updated to 0.45.4

Revision 1.78  2004/04/07 09:56:11  andree
- don't put localhost to localdomains

Revision 1.77  2004/04/05 10:34:24  andree
- packet maildir -> maildir-tools
- put localdomain to /etc/courier/me, obsoletes postfix
- rel.1 ready to go

Revision 1.76  2004/04/04 10:39:04  andree
- %doc fixes

Revision 1.75  2004/04/03 20:30:22  andree
- maildir tools goes to separate package

Revision 1.74  2004/04/03 19:16:24  andree
- package INSTALL to doc (lot of configuration tips)
- webadmin goes to separate package
- %files fixes
- rel 0.9 working in progress

Revision 1.73  2004/04/02 00:38:08  andree
- updated to 0.45.3

Revision 1.72  2004/03/29 10:40:13  andree
- esmtpacceptmailfor change to default
- openssl-tools >= 0.9.7d

Revision 1.71  2004/03/19 23:46:23  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.70  2004/03/17 23:25:46  andree
- more post,preun fixes; rel. 1

Revision 1.69  2004/03/17 18:28:37  andree
- updated to 0.45.2
- removed no_res_query patch (seems to be fixed)

Revision 1.68  2004/03/17 17:51:08  andree
- fix rmail link

Revision 1.67  2004/03/17 10:16:24  andree
- files fixes, updated docs
- fix post,preun auth*

Revision 1.66  2004/03/16 21:37:03  andree
- updated to 0.45.1, rel 0.9

Revision 1.65  2004/03/16 14:20:09  averne
- rel7 for rebuild with new openldap

Revision 1.64  2004/03/02 17:35:48  andree
- fix stop/start scripts (patch5)
- fix post,preun, rel. 6

Revision 1.63  2004/02/26 17:24:30  qboosh
- fixed missing defattrs

Revision 1.62  2004/02/26 17:19:23  andree
- updated docs, rel. 5

Revision 1.61  2004/02/25 21:49:02  ankry
- cosmetics

Revision 1.60  2004/02/25 21:42:27  blues
- obsoletes nullmailer and ssmtp

Revision 1.59  2004/02/25 15:36:37  andree
- change sendmail dir to sbindir (patch4)
- install missing dir /usr/lib on amd64

Revision 1.58  2004/02/25 14:07:13  qboosh
- fixed deps (thx andree)

Revision 1.57  2004/02/24 20:52:37  blues
- mail daemon obsoletes other daemons

Revision 1.56  2004/02/24 17:14:28  andree
- fix attr for sendmail
- ac,am in courier dir (res_query), rel. 4

Revision 1.55  2004/02/23 18:42:24  qboosh
- no paths to pam_unix.so (not needed, only broke lib64)
- /usr/lib/sendmail compat symlink is constant, should not depend on any macros
- strict internal deps

Revision 1.54  2004/02/23 17:06:23  andree
- don't check for res_query - never used (patch3)
- new directory structure (use default prefix)
- cp config.sub to webmail, rel. 3

Revision 1.53  2004/02/21 13:29:50  andree
- fixes in files, pre, post

Revision 1.52  2004/02/20 15:40:38  andree
- back to /home/services
- remove Mail/Maildir from skel
- webmail starting, restarting (post, preun)

Revision 1.51  2004/02/17 23:30:07  andree
- Maildir -> Mail/Maildir (patch2)
- pam.d/* back to config(noreplace)...
- Requires(post): openssl-tools (to generate certificates)

Revision 1.50  2004/02/17 00:30:11  andree
- BR: postgresql-devel
- make new pam.d/* files (no longer need pam_stack.so)
- added locals, esmtpacceptmailfor
- added Maildir folder to /etc/skel/
- added info how to configure in post

Revision 1.49  2004/02/10 00:40:46  ankry
- spaces -> tabs, pl fixes

Revision 1.48  2004/02/10 00:02:29  andree
- added 3 packages - authdaemons (ldap, pgsql, myqsl)
- change default esmtpd to _on_ ; added TODO

Revision 1.47  2004/02/04 15:39:24  averne
- /home/services -> /srv
- rel 2

Revision 1.46  2003/12/15 12:13:58  andree
- added patch1 build without fam support (bcond with fam)

Revision 1.45  2003/12/15 02:17:59  andree
- don't build fax files
- added missing dirs, files, move webgpg to webmail package
- remove unpackaged files, package some unpackaged files (pcpd)

Revision 1.44  2003/12/11 12:41:18  qboosh
- use config(noreplace)

Revision 1.43  2003/12/11 12:33:09  andree
- mv pop3d-ssl to pop3d package
- add script to create config files
- change /etc/courier/*.dist to /etc/courier/* in files section

Revision 1.42  2003/12/09 11:42:21  andree
- remove without_test bcond (in latest ac build ok)
- small fixes in webmail files section
- release 1

Revision 1.41  2003/11/30 15:22:09  adamg
- updated to 0.44.2
- new bcond (without_tests), that skips "make check" in %build

Revision 1.40  2003/11/18 12:36:40  andree
- fix mistake (change authlib.1 to authlib.7 in links)

Revision 1.39  2003/11/18 11:53:18  andree
- make better man links (suggested by qboosh)

Revision 1.38  2003/11/18 00:48:54  andree
- updated to 0.44.0 (few changed file names, added maildirkw, manpages)
- added missing esmtpd-ssl and link
- make links to man pages in post, preun
- TODO: fix build with make check (without it, it build ok)

Revision 1.37  2003/09/30 20:18:20  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.36  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/08/06 16:49:58  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.34  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.33  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.32  2003/05/25 05:46:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/08 09:52:14  qboosh
- working Source0 URL

Revision 1.30  2003/03/31 10:50:55  qboosh
- no subshell, BR: am,lt

Revision 1.29  2003/03/30 22:12:46  qwark
- new version 0.42.0; change in BR;change from configure2_13 to configure; still need some work to compile under NEST (db3->db4.1);undar ra compilation is OK

Revision 1.28  2003/03/02 15:55:43  radek
- BR: mailcap  (does not compile anyway ;-)

Revision 1.27  2003/02/13 14:02:02  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.26  2003/01/19 22:18:39  qboosh
- argh, fixed _mandir
- more specific Requires()

Revision 1.25  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.24  2002/12/07 19:09:42  orzech
- /home -> /home/services

Revision 1.23  2002/11/25 01:40:36  ankry
- Massive attack:
  - s/man[ea]d[z][ae]r/zarzdca/g
  - (some) new %doc

Revision 1.22  2002/10/10 12:51:50  marcus
- use new %doc

Revision 1.21  2002/05/16 23:44:38  marcus
- fixed %install

Revision 1.20  2002/05/14 07:56:04  ankry
- changed groups to ones used by other functionally similar packages
- BR: expect, openssl-tools
- "install -d" fixes
- NFY, release 1.1

Revision 1.19  2002/05/07 14:22:43  kloczek
- some cosmetics.

Revision 1.18  2002/05/07 14:12:30  pioklo
- update to 0.38 ,STBR
- fix %files section

Revision 1.17  2002/04/25 16:06:50  arturs
- fixed a small typo

Revision 1.16  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:12:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/09 12:25:35  qboosh
- removed whole file lists generation, added lists to %files fixing many
  ownership stupidities (NFY - need to check files with uid||gid daemon)
- added more BuildRequires
- TODO: proper daemons starting/restarting/stopping in post/preun, check
  permissions etc.

Revision 1.12  2002/01/03 12:15:19  qboosh
- some BReqs, added patch to fix c_rehash searching

Revision 1.11  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.10  2001/11/07 10:41:31  qboosh
- adapterized, added -q to %setup

Revision 1.9  2001/10/03 02:32:55  marcus
- new version 0.35.1

Revision 1.8  2001/09/24 11:24:08  qboosh
- Prereq: /sbin/chkconfig
- cleanups, pl translations, added URLs
- NOTE: %install and %files should be rewritten; current version is 0.35.1

Revision 1.7  2001/08/23 16:51:10  filon
- changed: make -> %{__make}

Revision 1.6  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2000/12/07 02:43:45  agaran
- Another $Log fixing
